SDL_GetGamepadStringForButton(3)

NAME
SDL_GetGamepadStringForButton - Convert from an SDL_GamepadButton
 enum to a string.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

const char * SDL_GetGamepadStringForButton(SDL_GamepadButton button);

FUNCTION PARAMETERS

button
    an enum value for a given SDL_GamepadButton .

RETURN VALUE
Returns a string for the given button, or NULL if an invalid button is specified. The string returned is of the format used by

SDL_Gamepad
 mapping strings.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetGamepadButtonFromString(3)